import { Component, Input } from '@angular/core';

/**
 * 分割线
 *
 * @export
 * @class AppDividingLine
 */
@Component({
    selector: 'app-dividing-line',
    template: `<div class="app-dividing-line" [ngStyle]="{}"></div>`,
    styles: [`.app-dividing-line { width: 100%; height: 8pt; background-color: #d5d5d5;}`]
})
export class AppDividingLine {
    /**
     * 样式
     *
     * @type {*}
     * @memberof AppDividingLine
     */
    public style: any = {};

    /**
     * 高度
     *
     * @memberof AppDividingLine
     */
    @Input()
    set height(val: string) {
        if (val && !Object.is(val, '')) {
            this.style.height = val;
        }
    }

    /**
     * 背景颜色
     *
     * @memberof AppDividingLine
     */
    @Input()
    set backgroundColor(val: string) {
        if (val && !Object.is(val, '')) {
            Object.assign(this.style, { 'background-color': val });
        }
    }

}